# $Revision: 1.170 $, $Date: 2012/06/26 23:35:25 $
#
# Conditional build
%bcond_without	tcl		# disable tcl support
%bcond_without	tests		# do not run "make check"
#
# NOTE:
# - /etc/localtime must be present for tests to work
#
# TODO:
# - script for rpm to autoprovides/autorequires R internals
#
%include	/usr/lib/rpm/macros.perl
Summary:	A language for data analysis and graphics
Summary(pl.UTF-8):	Język do analizy danych oraz grafiki
Name:		R
Version:	2.15.1
Release:	1
License:	Mixed (distributable), mostly GPL v2+
Group:		Development/Languages
# CRAN master site: ftp://cran.r-project.org/pub/R/src/
Source0:	ftp://stat.ethz.ch/R-CRAN/src/base/R-2/%{name}-%{version}.tar.gz
# Source0-md5:	fcdf247e707fdade82b78bcf911a54f1
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://www.r-project.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	blas-devel >= 3.2.2-2
BuildRequires:	bzip2-devel >= 1.0.6
BuildRequires:	cairo-devel >= 1.6
BuildRequires:	gcc-fortran
BuildRequires:	gettext-devel
BuildRequires:	lapack-devel >= 3.2.2-2
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxml2-devel >= 2.6.26
BuildRequires:	pango-devel
BuildRequires:	pcre-devel >= 7.6
BuildRequires:	perl-base >= 1:5.6
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpm-perlprov
%{?with_tcl:BuildRequires:	tcl-devel >= 8.4}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	tetex-pdftex
BuildRequires:	texinfo-texi2dvi >= 4.7
%{?with_tcl:BuildRequires:	tk-devel >= 8.4}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz-devel >= 4.999
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
#Requires:	lpr
Requires(post):	perl-base
Requires(post):	textutils
Requires:	blas >= 3.2.2-2
Suggests:	rkward
Obsoletes:	R-base
Obsoletes:	R-contrib
Obsoletes:	R-recommended
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A system for statistical computation and graphics. R consists of a
language plus a run-time environment with graphics, a debugger, access
to certain system functions, and the ability to run programs stored in
script files.

The design of R has been heavily influenced by two existing languages:
Becker, Chambers & Wilks' S and Sussman's Scheme. Whereas the
resulting language is very similar in appearance to S, the underlying
implementation and semantics are derived from Scheme.

%description -l pl.UTF-8
System do obliczeń statystycznych i grafiki. R składa się z języka
oraz środowiska uruchomieniowego z grafiką, debuggerem, dostępem do
niektórych funkcji systemowych oraz możliwością uruchamiania programów
zapisanych w skryptach.

Język R był zainspirowany dwoma istniejącymi językami: S (Beckera,
Chambersa i Wilksa) oraz Scheme (Sussmana). R jest podobny do S, ale
implementacja i semantyka wywodzi się ze Scheme.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
install -d build
cd build
../%configure \
	F77=gfortran \
	FC=gfortran \
	--enable-R-shlib \
	--enable-largefile \
	--with-ICU \
	--with-blas \
	--with-cairo \
	--with-jpeglib \
	--with-lapack \
	--with-libpng \
	--with-readline \
	--with-recommended-packages \
	--with-system-bzlib \
	--with-system-pcre \
	--with-system-xz \
	--with-system-zlib \
	--with%{!?with_tcl:out}-tcltk \
	--with-x

%{__make}

%if %{with tests}
%{__make} check
%endif

%{__make} docs pdf info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/R,%{_includedir},%{_desktopdir},%{_pixmapsdir}}

%{__make} -C build -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_libdir}/R/lib/libR.so $RPM_BUILD_ROOT%{_libdir}

mv $RPM_BUILD_ROOT%{_libdir}/%{name}/include $RPM_BUILD_ROOT%{_includedir}/R
ln -sf %{_includedir}/R $RPM_BUILD_ROOT%{_libdir}/R/include

gen_lang() {
	dir="$1"
	for d in $RPM_BUILD_ROOT${dir}/* ; do
		bd=$(basename $d)
		lang="${bd%@*}"
		echo "%lang($lang) ${dir}/${bd}"
	done
}

gen_lang %{_libdir}/R/share/locale > R.files
for moddir in $RPM_BUILD_ROOT%{_libdir}/R/library/* ; do
	module=$(basename $moddir)
	echo "%dir %{_libdir}/R/library/${module}"
	for f in $moddir/* ; do
		bf=$(basename $f)
		case "$bf" in
		  po)
			echo "%dir %{_libdir}/R/library/${module}/po"
			gen_lang %{_libdir}/R/library/${module}/po
			;;
		  libs)
			echo "%dir %{_libdir}/R/library/${module}/libs"
			echo "%attr(755,root,root) %{_libdir}/R/library/${module}/libs/*.so"
			;;
		  *)
			echo "%{_libdir}/R/library/${module}/${bf}"
			;;
		esac
	done
done >> R.files

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f R.files
%defattr(644,root,root,755)
%doc NEWS README doc/{AUTHORS,COPYRIGHTS,FAQ,RESOURCES,THANKS}
%attr(755,root,root) %{_bindir}/R
%attr(755,root,root) %{_bindir}/Rscript
%dir %{_libdir}/R
%dir %{_libdir}/R/lib
%attr(755,root,root) %{_libdir}/R/lib/libR.so
%attr(755,root,root) %{_libdir}/libR.so
%{_libdir}/R/COPYING
%{_libdir}/R/NEWS
%{_libdir}/R/SVN-REVISION
%attr(755,root,root) %{_libdir}/R/bin
# %{_libdir}/R/doc %except %{_libdir}/R/doc/html/{packages.html,search/index.txt}
%dir %{_libdir}/R/doc
%{_libdir}/R/doc/[KRm]*
%dir %{_libdir}/R/doc/html
%{_libdir}/R/doc/html/*.css
%{_libdir}/R/doc/html/[Ra-lr-u]*.html
%{_libdir}/R/doc/html/packages-head*.html
%{_libdir}/R/doc/html/*.jpg
%ghost %{_libdir}/R/doc/html/packages.html
%{_libdir}/R/etc
%{_libdir}/R/include
%dir %{_libdir}/R/library
# library files list is autogenerated (see R.files above)
%attr(755,root,root) %{_libdir}/R/modules
%dir %{_libdir}/R/share
%{_libdir}/R/share/R
%{_libdir}/R/share/encodings
%{_libdir}/R/share/java
%{_libdir}/R/share/licenses
%dir %{_libdir}/R/share/locale
# locale files list is autogenerated (see R.files above)
%{_libdir}/R/share/make
%{_libdir}/R/share/sh
%{_libdir}/R/share/texmf
%{_desktopdir}/R.desktop
%{_pixmapsdir}/R.xpm
%{_includedir}/R
%{_pkgconfigdir}/libR.pc
%{_mandir}/man1/R.1*
%{_mandir}/man1/Rscript*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R.spec,v $
Revision 1.170  2012/06/26 23:35:25  wrobell
- ver. 2.15.1

Revision 1.169  2012/05/29 13:05:23  baggins
- teach R that fortran is gfortran, some stupid modules want it that way

Revision 1.168  2012/04/09 05:10:12  qboosh
- cleaned up todo: .so perms and lang() tags already done

Revision 1.167  2012/03/30 18:07:50  wrobell
- ver. 2.15.0

Revision 1.166  2012/03/29 16:43:06  baggins
- release 3

Revision 1.165  2012/03/28 07:27:05  arekm
- release 2

Revision 1.164  2012/03/27 19:07:40  wrobell
- ver. 2.14.2

Revision 1.163  2012/02/16 01:03:27  wrobell
- provide libR.so in {_libdir} (linked, not copied, see also change for
  2.14.1-5) to support software using libR.so like rpy, i.e.
  http://rpy.sourceforge.net/rpy_faq.html
- rel. 6

Revision 1.162  2012/02/11 08:29:41  arekm
- release 5

Revision 1.161  2012/02/07 22:07:05  arekm
- release 4

Revision 1.160  2012/02/03 16:28:16  baggins
- rel 3
- put back libR.so where R wants it and all programs expect it to be

Revision 1.159  2012/01/13 14:50:37  arekm
- release 2

Revision 1.158  2011/12/23 01:35:53  wrobell
- ver. 2.14.1

Revision 1.157  2011/12/20 19:42:12  arekm
- release 2

Revision 1.156  2011/11/15 19:44:21  qboosh
- autogenerate locale and library file lists, using %lang() flags

Revision 1.155  2011/11/15 15:56:37  qboosh
- updated to 2.14.0

Revision 1.154  2011/10/16 18:00:27  qboosh
- updated BRs

Revision 1.153  2011/10/14 08:28:28  arekm
- up to 2.13.2; build from separate dir (makes install patch obsolete + fixes issues with install trying to  c overwrite file with that same file)

Revision 1.152  2011/10/14 05:27:14  arekm
- release 3

Revision 1.151  2011/10/09 10:25:10  arekm
- release 2

Revision 1.150  2011/07/12 19:11:46  qboosh
- some BR versions

Revision 1.149  2011/07/11 07:47:23  lisu
- updated to 2.13.1

Revision 1.148  2011/05/23 14:06:45  lisu
- rel 2

Revision 1.147  2011/04/26 11:45:57  lisu
- - updated to 2.13.0
- workaround for docs installation (patch)
- --enable-linux-lfs -> --enable-largefile
- R.css dropped by upstream
- added compiler files

Revision 1.146  2011/03/20 18:06:11  arekm
- release 2

Revision 1.145  2011/02/27 23:55:46  wrobell
- ver. 2.12.2

Revision 1.144  2011/02/26 07:39:12  arekm
- release 2

Revision 1.143  2010/12/17 08:40:17  lisu
- up to 2.12.1

Revision 1.142  2010/12/12 01:00:03  arekm
- release 3

Revision 1.141  2010/12/11 23:06:09  arekm
- release 2

Revision 1.140  2010/10/21 05:34:03  qboosh
- updated to 2.12.0
- cleanup
- requires NaN-preserving blas (>=3.2.2-2; otherwise one test fails)

Revision 1.139  2010/06/10 20:58:32  lisu
- add nice icon
- rel 2

Revision 1.138  2010/06/01 07:54:01  lisu
- remove one TODO item (R build on i486 now)

Revision 1.137  2010/06/01 07:42:37  lisu
- updated to 2.11.1
- adapter

Revision 1.136  2010/05/12 15:38:25  baggins
- rel 5
- added desktop categories

Revision 1.135  2010/05/06 09:47:19  lisu
- reverse

Revision 1.134  2010/05/06 09:34:30  lisu
- make with -j1

Revision 1.133  2010/05/06 08:44:37  lisu
- clean

Revision 1.132  2010/05/06 08:42:30  lisu
- perl Text module not longer supported
- rel 3

Revision 1.131  2010/05/04 08:13:06  lisu
S: rkward (gui)

Revision 1.130  2010/05/01 14:28:43  shadzik
- BR: xz-devel
- rel 2

Revision 1.129  2010/04/24 16:27:22  lisu
- 2.11.0

Revision 1.128  2010/03/08 12:23:41  hawk
- release 4

Revision 1.127  2010/02/27 18:57:48  pawelz
- BR: pkg-config
- note: test "base" fails in cleanbuild

Revision 1.126  2010/02/27 13:51:23  hawk
- release 3

Revision 1.125  2010/01/30 11:43:17  megabajt
- release 2

Revision 1.124  2010/01/22 10:17:05  lisu
- 2.10.1

Revision 1.123  2009/11/03 10:46:40  lisu
- fix install
- rel 4

Revision 1.122  2009/11/03 10:20:18  lisu
- do not perform 'make html' (same reason as 'make help'
- rel 3

Revision 1.121  2009/11/03 09:33:24  lisu
- re-enable autoconf
- do not perform help compiling, help is now converted from Rd by the R-based converters
- rel 2

Revision 1.120  2009/11/03 09:17:14  lisu
- restore non-logged commits logs

Revision 1.119  2009/11/03 09:09:10  lisu
- up to 2.10.0
- restore logging

Revision 1.118  2009/10/19 07:25:06  paszczus
- don't use autoconf for now (configure fails)

Revision 1.117  2009/08/25 22:45:15  wrobell
- added missing files

Revision 1.116  2009/08/25 20:59:33  wrobell
- ver. 2.9.2

Revision 1.115  2009/08/06 08:33:51  lisu
- updated to 2.9.1
- libicuuc.patch is now obsolete

Revision 1.114  2009/01/04 17:52:55  baggins
- removed bogus stuff from post
- removed not needed commands from install

Revision 1.113  2009/01/04 16:57:26  baggins
- removed long dead P/O

Revision 1.112  2009/01/04 16:36:16  baggins
- TODO for 486
- removed R-base (moved to main)

Revision 1.111  2009/01/04 15:55:55  baggins
- removed hacks
- added localtime NOTE

Revision 1.110  2009/01/04 15:33:36  baggins
- not locale

Revision 1.109  2009/01/04 15:15:05  baggins
- locale?

Revision 1.108  2009/01/04 15:02:33  baggins
- env?

Revision 1.107  2009/01/04 13:01:21  baggins
- rel 1.1
- builder testing...

Revision 1.106  2009/01/04 02:21:08  baggins
- rel 1

Revision 1.105  2009/01/04 02:19:37  baggins
- killed R-recommended

Revision 1.104  2009/01/04 02:13:38  baggins
- removed non existing module from files

Revision 1.103  2009/01/04 02:10:20  baggins
- fix libicui18n detection in configure
- no parallel make install

Revision 1.102  2009/01/04 01:52:25  baggins
- started update to 2.8.1

Revision 1.101  2008-02-10 15:34:49  wrobell
- ver. 2.6.2

Revision 1.100  2008-01-04 02:00:18  qboosh
- more X deps
- strict internal deps (but what is R-recommended now???)

Revision 1.99  2007-12-11 18:36:27  wrobell
- require lapack with optimization switched off
- rel. 2

Revision 1.98  2007-12-06 23:46:07  wrobell
- ver. 6.2.1 (lapack stuff builds ok)
- rel. 1

Revision 1.97  2007-11-25 10:15:34  qboosh
- separate make call for check

Revision 1.96  2007-11-24 15:16:56  radek
- release 0.2: kill the *.pm properly (symlinks...)

Revision 1.95  2007-11-24 12:25:11  radek
- added bcond_without tests (for make check)
- added R.pc
- removed /usr/lib/R/share/perl/**.pm

Revision 1.94  2007-11-24 11:30:11  radek
- version 2.6.0 (NFY)
- removed --with-lapack (build hangs for whatever reason)

Revision 1.93  2007-08-07 16:14:54  wrobell
- lapack-devel requires blas-devel

Revision 1.92  2007/08/06 23:56:03  wrobell
- ver. 2.5.1

Revision 1.91  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.90  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.89  2007/01/24 19:56:46  qboosh
- sorted P/O

Revision 1.88  2007/01/24 16:40:28  baggins
- fixed post script (arguments to command changed)

Revision 1.87  2007/01/24 16:34:37  baggins
- * won't do, a 'for' is needed

Revision 1.86  2007/01/24 16:32:04  baggins
- argh, one more

Revision 1.85  2007/01/24 16:28:08  baggins
- proper paths

Revision 1.84  2007/01/24 16:24:41  baggins
- fixed symlinking

Revision 1.83  2007/01/24 16:04:54  baggins
- linked perl modules to perl_vendorlib

Revision 1.82  2007/01/24 15:21:38  baggins
- resurrected R-recommended package, R won't pass make check without recomended
  and if we skip check then results may be undeterministic
- removed unnecessary auto* regeneration
- removed removal of not existing files in prep
- updated files

Revision 1.81  2007/01/23 15:10:30  baggins
- updated BRs

Revision 1.80  2007/01/23 14:54:12  baggins
- updated to 2.4.1
- gnome support has been removed
- use libxml2

Revision 1.79  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.78  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.77  2005/12/22 18:41:41  undefine
- up to 2.2.1

Revision 1.76  2005/12/13 16:48:33  undefine
- up to 2.2.0

Revision 1.75  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.74  2005/06/20 14:23:09  undefine
- up to 2.1.1

Revision 1.73  2005/06/03 00:11:23  zbyniu
- BR: rpm-perlprov

Revision 1.72  2005/06/02 23:28:15  undefine
- generate perl(*) dependencies
- release 2

Revision 1.71  2005/04/28 00:29:43  undefine
- up to 2.1.0

Revision 1.70  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.69  2004/12/10 22:52:39  ankry
- rel. 3

Revision 1.68  2004/12/10 09:31:18  ankry
- more BRs

Revision 1.67  2004/11/24 09:06:47  ankry
- typo? rel. 2

Revision 1.66  2004/11/22 00:46:16  undefine
- O: R-contrib for allow clean upgrade

Revision 1.65  2004/11/16 23:05:30  ankry
- spaces -> tabs

Revision 1.64  2004/11/16 21:09:27  undefine
- release 1

Revision 1.63  2004/11/16 18:31:37  undefine
- move to R-cran, add empty R-recommended package(i don't see better idea...),
  remove R-contrib pseudo-package(there are maaaany contrib files ;)
- ready to tests...

Revision 1.62  2004/11/16 16:51:39  undefine
- fix build

Revision 1.61  2004/11/16 16:37:15  undefine
- fix log message (no vi in chroot isn't good...)

Revision 1.60  2004/11/16 16:33:15  undefine
- add BR: gettext-devel (no vi in chroot isn't good)

Revision 1.59  2004/11/15 20:00:03  paszczus
- updated to 2.0.1

Revision 1.58  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.57  2004/10/13 17:46:43  qboosh
- new-style bcond, s/perl/perl-base/

Revision 1.56  2004/10/12 01:24:23  undefine
- up to 2.0.0
- separate not base modules to other specs(not ready yet - use R-spec.sh)
- NFY

Revision 1.55  2004/09/14 20:05:30  undefine
- more todo (move perl library to standard perl location)

Revision 1.54  2004/09/14 19:37:37  undefine
- kill yet another builddir, use %{_bindir}/R as symlink to %{_libdir}/R/bin/R
- release 4

Revision 1.53  2004/09/13 12:06:30  undefine
- better fix(?) with trigger...
- release 3

Revision 1.52  2004/09/12 23:02:20  undefine
- more specific R
- pre install script to adopt to new includes location

Revision 1.51  2004/09/12 22:17:59  undefine
- build shared library
- move libraries to proper place
- don't use mv in builddir - it break --short-circuit
- move includes to %{_includedir}, and use only link to it in R directory
- some small cleanups
- release 2

Revision 1.50  2004/08/30 11:58:06  undefine
- update to 1.9.1
- update packages
- move grid to base
- add graphics, stats, stats4, mle, utils
- add TODO

Revision 1.49  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.48  2003/11/20 11:47:23  cieciwa
- fixed.

Revision 1.47  2003/11/20 10:39:10  cieciwa
- removed source 25 from older version.

Revision 1.46  2003/11/20 08:29:09  cieciwa
- updated to 1.8.0,
- updated opther source file.

Revision 1.45  2003/10/21 13:57:38  qboosh
- updated URL

Revision 1.44  2003/08/26 20:31:18  ankry
- s/[Gg]nome/GNOME/

Revision 1.43  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.42  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.41  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/04/04 17:45:23  ankry
- don't call postun scripts if R is removed together with a package:
  they'll fail and are not necessary then
- rel. 2

Revision 1.39  2002/12/29 01:44:29  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.38  2002/12/04 22:13:52  ankry
- updated to 1.6.1

Revision 1.37  2002/12/04 10:51:49  roman
- added R.desktop to Scientific/Numerics applnk subdirectory
- changed Release number from 2 to 3

Revision 1.36  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.35  2002/08/06 13:10:14  qboosh
- BR (conditionally): libglade-gnome-devel

Revision 1.34  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/16 10:13:47  ankry
- BR: blas-devel

Revision 1.32  2002/05/13 22:18:18  ankry
- fixed %%ghost file location (generated by post/postun scripts)
- removed a non-existent TASKS file from %doc
- STBR

Revision 1.31  2002/05/13 16:42:55  ankry
- fixed pre/post scripts

Revision 1.30  2002/05/12 23:54:39  ankry
- fix path in R
- rm -rf $RPM_BUILD_ROOT
- pre/post scripts fixed
- fix file lists; remove unnecessary attribute/ownership settings
- remove backup files
- NFY

Revision 1.29  2002/05/12 12:20:16  ankry
- fixed Provides in R-recommended; release 2

Revision 1.28  2002/05/12 12:02:13  ankry
- updated to 1.5.0

Revision 1.27  2002/05/12 10:17:06  kloczek
- regenerate config.* files and few cosmetics.

Revision 1.26  2002/05/11 23:47:02  ankry
- using autoconf in spec
- release 2
- STBR for test

Revision 1.25  2002/05/11 21:46:01  ankry
- upgraded to 1.4.1
- separated recommended modules into R-recommended package
- fixed license strings
- NFY, but builds

Revision 1.24  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/15 15:15:11  ankry
- ftp server changed for sources

Revision 1.21  2002/01/15 10:40:47  hunter
--upgraded to 1.4.0, NYF

Revision 1.20  2001/11/22 10:06:48  qboosh
- s/Copyright/License/ in -contrib

Revision 1.19  2001/11/01 19:44:49  ankry
- some updates to 1.3.1 build. cleaning.
- added path fix in the wrapper script.
- it builds, seems to work, but NFY

Revision 1.18  2001/11/01 00:59:51  ankry
- BuildRequires: libxml-devel
- some build fixes, NFY

Revision 1.17  2001/10/30 15:47:25  qboosh
- remaining pl translations (mlbench subpackage)

Revision 1.16  2001/10/09 21:49:15  ankry
- starting update to 1.3.1, nfy
- added BuildRequires

Revision 1.15  2001/09/25 07:20:50  ankry
changed URL to mlbench

Revision 1.14  2001/09/03 11:13:42  qboosh
- some pl translations (without mlbench subpackage)

Revision 1.13  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.12  2000/09/29 10:38:59  cieciwa
- updated to version 1.1.1,
- updated existing packages,
- commented unexisted package,
- added documenmtation [.pdf] for existing package.

Revision 1.11  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
